<?php
defined('BASEPATH') or exit('No direct script access allowed');

/* ============================
     Definição da Classe Gateway_config
   ============================ */
class Gateway_config
{
    /**
     * Obtém as configurações do gateway Pagou.
     *
     * @return array Array de configurações para o gateway Pagou.
     */
    public function getSettings()
    {
        return [
            /* ============================
                 Configuração: API Token
               ============================ */
            [
                'name' => 'api_token',
                'encrypted' => true,
                'label' => 'API Token Pagou.com.br',
                'type' => 'input',
                'required' => true
            ],

            /* ============================
                 Configuração: Ambiente
               ============================ */
            [
                'name' => 'environment',
                'label' => 'Ambiente',
                'type' => 'select',
                'options' => [
                    'sandbox' => 'Sandbox',
                    'production' => 'Produção'
                ],
                'default_value' => 'production'
            ],

            /* ============================
                 Configuração: Moedas Aceitas
               ============================ */
            [
                'name' => 'currencies',
                'label' => 'Moedas Aceitas',
                'type' => 'input',
                'default_value' => 'BRL'
            ],

            /* ============================
                 Configuração: Valor do Desconto
               ============================ */
            [
                'name' => 'discount_value',
                'label' => 'Valor do Desconto',
                'type' => 'input'
            ],

            /* ============================
                 Configuração: Tipo de Desconto
               ============================ */
            [
                'name' => 'discount_type',
                'label' => 'Tipo de desconto',
                'type' => 'select',
                'options' => [
                    'fixed' => 'Fixo',
                    'percentage' => 'Porcentagem'
                ]
            ],

            /* ============================
                 Configuração: Dias para Desconto
               ============================ */
            [
                'name' => 'discount_days',
                'label' => 'Desconto aplicado para pagamentos realizados com quantos dias de antecedência?',
                'type' => 'input'
            ],

            /* ============================
                 Configuração: Carência Após Vencimento
               ============================ */
            [
                'name' => 'grace_period',
                'label' => 'Carência Após o Vencimento (Dias) "Valor Min. 1"',
                'type' => 'input',
                'default_value' => '1'
            ],

            /* ============================
                 Configuração: Multa por Atraso
               ============================ */
            [
                'name' => 'fine_percentage',
                'label' => 'Multa por atraso %',
                'type' => 'input',
                'default_value' => '0'
            ],

            /* ============================
                 Configuração: Juros por Atraso
               ============================ */
            [
                'name' => 'interest_percentage',
                'label' => 'Juros por Atraso %',
                'type' => 'input',
                'default_value' => '0'
            ]
        ];
    }
}
