<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>

<div style="background-color: white; padding: 20px; border-radius: 8px; box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); max-width: 900px; margin: 50px auto;">

    <!-- ============================
         Estilos de Pagamento
       ============================ -->
    <style>
    .payment-container {
        max-width: 900px;
        margin: 30px auto;
        padding: 20px;
        font-family: Arial, sans-serif;
    }

    .payment-title {
        text-align: center;
        font-size: 24px;
        font-weight: bold;
        margin-bottom: 20px;
    }

    .payment-section {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
        margin-bottom: 30px;
    }

    .pix-code {
        flex: 1;
        margin-right: 20px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .pix-row {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 30px;
    }

    .instruction-row {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .pix-instructions {
        flex: 1;
        margin-right: 20px;
        text-align: center;
    }

    .qr-code {
        flex: 1;
        text-align: center;
    }

    .barcode-section {
        text-align: center;
        margin: 30px 0;
    }

    .copy-section {
        text-align: center;
        margin-bottom: 20px;
    }

    .copy-input {
        width: 100%;
        padding: 10px;
        border: 1px solid #ced4da;
        border-radius: 4px;
        font-family: monospace;
        margin: 0 auto 10px auto;
        text-align: center;
    }

    .copy-button {
        display: inline-flex;
        align-items: center;
        gap: 5px;
        padding: 10px;
        font-size: 14px;
        color: #ffffff;
        background-color: #3d9aff;
        border: 1px solid #ced4da;
        border-radius: 4px;
        cursor: pointer;
        text-decoration: none;
    }

    .copy-button i {
        font-size: 16px;
    }

    .copy-button:hover {
        background-color: #235a94;
    }

    .payment-status {
        background: #e9ecef;
        padding: 15px;
        border-radius: 8px;
        margin-bottom: 20px;
        text-align: center;
    }

    .buttons-section {
        text-align: center;
        margin-top: 20px;
    }

    .qr-code img {
        max-width: 200px;
        margin: 0 auto;
    }

    .pix-instructions img {
        max-width: 100%;
        margin: 0 auto;
        border: 1px solid #ddd;
        border-radius: 4px;
    }
    </style>

    <div class="payment-container">
        <!-- Título PIX -->
        <div class="payment-title">Pagamento por PIX</div>

        <!-- Código PIX -->
        <div class="pix-row">
            <!-- Código PIX -->
            <div class="pix-code" style="position: relative; width: 100%;">
                <input type="text" class="copy-input" value="<?php echo $qr_code_text; ?>" readonly style="width: 100%; padding-right: 80px;">
                <button class="copy-button" onclick="copyToClipboard('pix')" style="position: absolute; right: 0; top: 0; border-left: none;">
                    <i class="fa fa-copy"></i> Copiar
                </button>
            </div>
        </div>

        <!-- Instruções de PIX e QR Code -->
        <div class="instruction-row">
            <!-- Instruções de PIX -->
            <div class="pix-instructions">
                <img src="<?php echo base_url('modules/pagou/views/components/instrucao-pix.png'); ?>" alt="Instruções PIX">
            </div>

            <!-- QR Code -->
            <div class="qr-code">
                <img src="data:image/png;base64,<?php echo $qr_code_img; ?>" alt="QR Code PIX">
            </div>
        </div>

        <!-- Dados do Boleto -->
        <div class="barcode-section">
            <h4>Dados do Boleto</h4>
            <img src="<?php echo site_url('pagou/generate_barcode/' . urlencode($barcode)); ?>" alt="Código de Barras do Boleto">
        </div>

        <!-- Linha Digitável -->
        <div class="barcode-section">
            <h4>Linha Digitável</h4>
            <div class="pix-code" style="position: relative; width: 100%;">
                <input type="text" class="copy-input" value="<?php echo chunk_split($barcode, 5, ' '); ?>" readonly style="width: 100%; padding-right: 150px;">
                <button class="copy-button" onclick="copyToClipboard('boleto')" style="position: absolute; right: 0; top: 0; border-left: none;">
                    <i class="fa fa-copy"></i> Copiar Linha Digitável
                </button>
            </div>
        </div>

        <!-- Status do Pagamento -->
        <div class="payment-status">
            <strong>Status do Pagamento:</strong>
            <?php
            $status_text = 'Aguardando Pagamento';
            $status_class = 'text-warning';

            if ($status === 'paid') {
                $status_text = 'Pagamento Confirmado';
                $status_class = 'text-success';
            } elseif ($status === 'canceled') {
                $status_text = 'Pagamento Cancelado';
                $status_class = 'text-danger';
            }
            ?>
            <span class="<?php echo $status_class; ?>"><?php echo $status_text; ?></span>
        </div>

        <div class="buttons-section">
            <a href="<?php echo $boleto_url; ?>" target="_blank" class="copy-button" style="background-color: #e38a17; color: #ffffff;">
                <i class="fa fa-external-link"></i> Visualizar Boleto
            </a>
            <button class="copy-button" onclick="window.location.reload();">
                <i class="fa fa-refresh"></i> Pagamento Realizado?
            </button>
        </div>

        <style>
        .buttons-section a:hover {
            background-color: #cc7a14; /* Slightly darker shade */
            color: #ffffff; /* Ensures the text remains white */
        }
        </style>
    </div>

    <!-- ============================
         Script de Copiar para Área de Transferência
       ============================ -->
    <script>
    function copyToClipboard(type) {
        const input = document.querySelector(type === 'pix' ? '.pix-code .copy-input' : '.barcode-section .copy-input');
        input.select();
        document.execCommand('copy');

        const button = event.target;
        const originalText = button.innerHTML;
        button.innerHTML = '<i class="fa fa-check"></i> Copiado!';
        setTimeout(() => {
            button.innerHTML = originalText;
        }, 2000);
        }
    </script>

</div>
